Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.services
Class AuthorizationService

    java.lang.Object
      org.jasig.portal.services.AuthorizationService

    public class AuthorizationService

extends java.lang.Object

Version:
  $Revision: 1.15 $
Author:
  Bernie Durfee, bdurfee@interactivebusiness.com, Dan Ellentuck

Field Summary
`private static org.apache.commons.logging.Log` | `log`
`protected IAuthorizationService` | `m_authorization`
`protected static IAuthorizationServiceFactory` | `m_Factory`
`private static AuthorizationService` | `m_instance`
`protected static java.lang.String` | `s_factoryName`

Constructor Summary
`private` | `AuthorizationService()`

Method Summary
`IGroupMember` | `getGroupMember(IAuthorizationPrincipal principal)`
`static AuthorizationService` | `instance()`
`IPermissionManager` | `newPermissionManager(java.lang.String owner)`
`IAuthorizationPrincipal` | `newPrincipal(IGroupMember groupMember)`
`IAuthorizationPrincipal` | `newPrincipal(IPermission permission)`
`IAuthorizationPrincipal` | `newPrincipal(java.lang.String key, java.lang.Class type)`
`IUpdatingPermissionManager` | `newUpdatingPermissionManager(java.lang.String owner)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### m_instance

    private static AuthorizationService m_instance

### m_authorization

    protected IAuthorizationService m_authorization

### s_factoryName

    protected static java.lang.String s_factoryName

### m_Factory

    protected static IAuthorizationServiceFactory m_Factory

Constructor Detail

### AuthorizationService

    private AuthorizationService()
                          throws AuthorizationException

Throws:
  `AuthorizationException`

Method Detail

### getGroupMember

    public IGroupMember getGroupMember(IAuthorizationPrincipal principal)
                                throws GroupsException

  Parameters:
    `principal` - IAuthorizationPrincipal
  Returns:
    org.jasig.portal.groups.IGroupMember
  Throws:
    `GroupsException`

### instance

    public static final AuthorizationService instance()
                                               throws AuthorizationException

  Returns:
    Authorization
  Throws:
    `AuthorizationException`

### newPermissionManager

    public IPermissionManager newPermissionManager(java.lang.String owner)
                                            throws AuthorizationException

  Parameters:
    `owner` - java.lang.String
  Returns:
    org.jasig.portal.security.IPermissionManager
  Throws:
    `AuthorizationException`

### newPrincipal

    public IAuthorizationPrincipal newPrincipal(java.lang.String key,
                                                java.lang.Class type)
                                         throws AuthorizationException

  Parameters:
    `key` - java.lang.String
    `type` - java.lang.Class
  Returns:
    org.jasig.portal.security.IAuthorizationPrincipal
  Throws:
    `AuthorizationException`

### newPrincipal

    public IAuthorizationPrincipal newPrincipal(IGroupMember groupMember)
                                         throws GroupsException

  Parameters:
    `groupMember` -
  Returns:
    org.jasig.portal.security.IAuthorizationPrincipal
  Throws:
    `GroupsException`

### newPrincipal

    public IAuthorizationPrincipal newPrincipal(IPermission permission)
                                         throws AuthorizationException

  Parameters:
    `permission` -
  Returns:
    org.jasig.portal.security.IAuthorizationPrincipal
  Throws:
    `AuthorizationException`

### newUpdatingPermissionManager

    public IUpdatingPermissionManager newUpdatingPermissionManager(java.lang.String owner)
                                                            throws AuthorizationException

  Parameters:
    `owner` - java.lang.String
  Returns:
    org.jasig.portal.security.IUpdatingPermissionManager
  Throws:
    `AuthorizationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD